org.springframework.data.auditing

## Interface AuditableBeanWrapper<T>

    public interface AuditableBeanWrapper<T>

Interface to abstract the ways setting the auditing information can be implemented.

Since:
  1.5
Author:
  Oliver Gierke

### Method Summary

All Methods Instance Methods Abstract Methods
`T` `getBean()` Returns the underlying bean that potentially has been modified by the setter methods exposed.
`Optional<TemporalAccessor>` `getLastModifiedDate()` Returns the date of the last modification date of the backing bean.
`Object` `setCreatedBy(Object value)` Set the creator of the object.
`TemporalAccessor` `setCreatedDate(TemporalAccessor value)` Set the date the object was created.
`Object` `setLastModifiedBy(Object value)` Set the last modifier of the object.
`TemporalAccessor` `setLastModifiedDate(TemporalAccessor value)` Set the last modification date.

### Method Detail

#### setCreatedBy

    Object setCreatedBy(Object value)

Set the creator of the object.

Parameters:
  `value` -

#### setCreatedDate

    TemporalAccessor setCreatedDate(TemporalAccessor value)

Set the date the object was created.

Parameters:
  `value` -

#### setLastModifiedBy

    Object setLastModifiedBy(Object value)

Set the last modifier of the object.

Parameters:
  `value` -

#### getLastModifiedDate

    Optional<TemporalAccessor> getLastModifiedDate()

Returns the date of the last modification date of the backing bean.

Returns:
  the date of the last modification.
Since:
  1.10

#### setLastModifiedDate

    TemporalAccessor setLastModifiedDate(TemporalAccessor value)

Set the last modification date.

Parameters:
  `value` -

#### getBean

    T getBean()

Returns the underlying bean that potentially has been modified by the setter methods exposed. Client code needs to make sure to call this method to see all the changes applied via this `AuditableBeanWrapper`.

Returns:
  will never be null.
Since:
  2.1